max

Functions
max
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Numeric functions

Maximum of two inputs. More...

## Functions
AFAPI af_err | af_maxof (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for max of two arrays. More...
AFAPI af_err | af_clamp (af_array *out, const af_array in, const af_array lo, const af_array hi, const bool batch)
| C Interface for max of two arrays. More...
AFAPI array | max (const array &lhs, const array &rhs)
| C++ Interface for max of two arrays or an array and a scalar. More...
AFAPI array | max (const array &lhs, const double rhs)
| C++ Interface for max of two arrays or an array and a scalar. More...
AFAPI array | max (const double lhs, const array &rhs)
| C++ Interface for max of two arrays or an array and a scalar. More...

## Detailed Description

Maximum of two inputs.

## Function Documentation

## § af_clamp()

AFAPI af_err af_clamp | ( | af_array * | out,
|  | const af_array | in,
|  | const af_array | lo,
|  | const af_array | hi,
|  | const bool | batch
| ) |  |

C Interface for max of two arrays.

Parameters

  [out] | out | will contain the values from `clamped` between `lo` and `hi`
  [in] | in | Input array
  [in] | lo | Value for lower limit
  [in] | hi | Value for upper limit
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

## § af_maxof()

AFAPI af_err af_maxof | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for max of two arrays.

Parameters

  [out] | out | will contain maximum of `lhs` and `rhs`
  [in] | lhs | first input
  [in] | rhs | second input
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

## § max() [1/3]

AFAPI array af::max | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

C++ Interface for max of two arrays or an array and a scalar.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  maximum of `lhs` and `rhs`

## § max() [2/3]

AFAPI array af::max | ( | const array & | lhs,
|  | const double | rhs
| ) |  |

C++ Interface for max of two arrays or an array and a scalar.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  maximum of `lhs` and `rhs`

## § max() [3/3]

AFAPI array af::max | ( | const double | lhs,
|  | const array & | rhs
| ) |  |

C++ Interface for max of two arrays or an array and a scalar.

Parameters

  [in] | lhs | first input
  [in] | rhs | second input

Returns
  maximum of `lhs` and `rhs`